bifunctors-5.1: Bifunctors

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Bifunctor.Tannen

Description

Synopsis

- newtype Tannen f p a b = Tannen {
  - runTannen :: f (p a b)
  }

# Documentation

newtype Tannen f p a b Source

Compose a `Functor` on the outside of a `Bifunctor`.

Constructors

Tannen |

Fields

runTannen :: f (p a b)

Instances

(Functor f, Bifunctor p) => Bifunctor (Tannen f p) Source |
(Foldable f, Bifoldable p) => Bifoldable (Tannen f p) Source |
(Traversable f, Bitraversable p) => Bitraversable (Tannen f p) Source |
(Applicative f, Biapplicative p) => Biapplicative (Tannen f p) Source |
(Functor f, Bifunctor p) => Functor (Tannen f p a) Source |
(Foldable f, Bifoldable p) => Foldable (Tannen f p a) Source |
(Traversable f, Bitraversable p) => Traversable (Tannen f p a) Source |
Eq (f (p a b)) => Eq (Tannen f p a b) Source |
Ord (f (p a b)) => Ord (Tannen f p a b) Source |
Read (f (p a b)) => Read (Tannen f p a b) Source |
Show (f (p a b)) => Show (Tannen f p a b) Source |